Bug 205486 - accessibility/speech-dispatcher: Split off python into slave port
Summary: accessibility/speech-dispatcher: Split off python into slave port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alberto Villa
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-21 11:00 UTC by Koop Mast
Modified: 2016-03-12 10:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (avilla)


Attachments
Split up python support it its own slave port (6.62 KB, patch)
2015-12-21 11:00 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2015-12-21 11:00:17 UTC
Created attachment 164450 [details]
Split up python support it its own slave port

Currently python support isn't build by default. And while turning it on by default would work, I assume the reason it not yet is because it beefs up the package of speech-dispatcher. I propose the following patch to split python into it's own slave port.

Either way is fine with me, I just need python support for accessibility/orca to work.
Comment 1 commit-hook freebsd_committer 2016-01-18 11:54:08 UTC
A commit references this bug:

Author: kwm
Date: Mon Jan 18 11:54:02 UTC 2016
New revision: 406563
URL: https://svnweb.freebsd.org/changeset/ports/406563

Log:
  Split off the python bindings into it own slave port. They where not build
  by default and orca requires the bindings. Bump port revision just to be
  sure there will be no conflicts.

  PR:		205486
  Approved by:	maintainer (timeout 27 days)

Changes:
  head/accessibility/Makefile
  head/accessibility/py3-speech-dispatcher/
  head/accessibility/py3-speech-dispatcher/Makefile
  head/accessibility/py3-speech-dispatcher/distinfo
  head/accessibility/py3-speech-dispatcher/files/
  head/accessibility/py3-speech-dispatcher/pkg-descr
  head/accessibility/py3-speech-dispatcher/pkg-plist
  head/accessibility/speech-dispatcher/Makefile
  head/accessibility/speech-dispatcher/pkg-plist
Comment 2 Zahari Yurukov 2016-03-12 10:16:03 UTC
In which release that is expected to be available?